Bug 448409 - regxpcom: floating-point assist fault when upgrading to RHEL4.7
regxpcom: floating-point assist fault when upgrading to RHEL4.7
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Blandford
Desktop QE
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 11:27 EDT by Alexander Todorov
Modified: 2013-04-02 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shop (79.59 KB, image/png)
2008-05-26 11:27 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2008-05-26 11:27:49 EDT
Description of problem:
When upgrading from RHEL4.6/AS to 4.7/AS with up2date there are numerous
messages of the type:
regxpcom: floating-point assist fault following the line 
updating: seamonkey-* package (which comes from up2date).

Version-Release number of selected component (if applicable):
seamonkey-1.0.9-19

How reproducible:
always

Steps to Reproduce:
1. Install rhel4-u6/as (@everything or seamonkey packages)
2. upgrade to latest 4.7
3.
  
Actual results:
numerous messages which look like error messages (or at least sounds very error-ish)

Expected results:
No error messages

Additional info:
I suspect %post script is causing these. Seen on ia64 and x86_64 (i think).
Seen after almost every seamonkey package is upgraded.
Comment 1 Alexander Todorov 2008-05-26 11:27:49 EDT
Created attachment 306686 [details]
screen shop
Comment 3 Ben Levenson 2008-05-28 18:08:27 EDT
another data point: I can't reproduce this with /bin/rpm on ia64-4as-6-m2:

.qa.[root@ia64-4as-6-m2 2008:8316]# rpm -Uvh new-files.manual.list 
Preparing...                ########################################### [100%]
   1:nspr                   ########################################### [  7%]
   2:nss                    ########################################### [ 13%]
   3:seamonkey              ########################################### [ 20%]
   4:seamonkey-mail         ########################################### [ 27%]
   5:seamonkey-devel        ########################################### [ 33%]
   6:seamonkey-dom-inspector########################################### [ 40%]
   7:nss-debuginfo          ########################################### [ 47%]
   8:nspr-debuginfo         ########################################### [ 53%]
   9:seamonkey-debuginfo    ########################################### [ 60%]
  10:nspr                   ########################################### [ 67%]
  11:nspr-devel             ########################################### [ 73%]
  12:nss                    ########################################### [ 80%]
  13:nss-devel              ########################################### [ 87%]
  14:seamonkey-chat         ########################################### [ 93%]
  15:seamonkey-js-debugger  ########################################### [100%]
Comment 4 Ben Levenson 2008-05-28 18:10:16 EDT
and seamonkey appears to work as expected *after* the upgrade
Comment 5 Alexander Todorov 2008-05-29 04:22:30 EDT
I'm not so sure about x86_64 but I'm sure I see this on my ia64 test machine.
As per comment #3 could be machine dependent.

Bug #147980 talks about compiling without the -ftz flag causing a similar issue.
Is this a matter of just adding these flags in the Makefile for seamonkey? 
Comment 6 Matěj Cepl 2008-07-22 12:07:26 EDT
Explanation for ia64 is on http://i-cluster2.inrialpes.fr/doc/misc/fpswa.txt and
the author suggests compiling on ia64 with -ffast-math option for gcc. No
comments whether it is sane, read the document for (very) thorough explanation.
Comment 7 RHEL Product and Program Management 2008-10-31 12:38:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Jiri Pallich 2012-06-20 11:55:37 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.